From eb8cd7a379503a0206d6ff43a2ce0749a32f2a37 Mon Sep 17 00:00:00 2001
From: Matthew Smith <matthew@gentoo.org>
Date: Fri, 11 Mar 2022 18:11:27 +0000
Subject: [PATCH] build: Use system mimalloc

---
 CMakeLists.txt     |  8 --------
 src/CMakeLists.txt | 12 +++---------
 2 files changed, 3 insertions(+), 17 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index bdd3670..93485d7 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -173,14 +173,6 @@ endif()
 message(STATUS "Using in-tree libdxfrw")
 add_subdirectory(extlib/libdxfrw)
 
-message(STATUS "Using in-tree mimalloc")
-set(MI_OVERRIDE OFF CACHE BOOL "")
-set(MI_BUILD_SHARED OFF CACHE BOOL "")
-set(MI_BUILD_OBJECT OFF CACHE BOOL "")
-set(MI_BUILD_TESTS OFF CACHE BOOL "")
-add_subdirectory(extlib/mimalloc EXCLUDE_FROM_ALL)
-set(MIMALLOC_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/extlib/mimalloc/include)
-
 if(WIN32 OR APPLE)
     # On Win32 and macOS we use vendored packages, since there is little to no benefit
     # to trying to find system versions. In particular, trying to link to libraries from
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 5ac7b41..9f4e2f7 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -55,10 +55,7 @@ target_include_directories(slvs
 
 target_link_libraries(slvs
     ${util_LIBRARIES}
-    mimalloc-static)
-
-add_dependencies(slvs
-    mimalloc-static)
+    mimalloc)
 
 set_target_properties(slvs PROPERTIES
     PUBLIC_HEADER ${CMAKE_SOURCE_DIR}/include/slvs.h
@@ -213,9 +210,6 @@ add_library(solvespace-core STATIC
     ${solvespace_core_HEADERS}
     ${solvespace_core_SOURCES})
 
-add_dependencies(solvespace-core
-    mimalloc-static)
-
 target_link_libraries(solvespace-core
     ${OpenMP_CXX_LIBRARIES}
     dxfrw
@@ -223,7 +217,7 @@ target_link_libraries(solvespace-core
     ${ZLIB_LIBRARY}
     ${PNG_LIBRARY}
     ${FREETYPE_LIBRARY}
-    mimalloc-static)
+    mimalloc)
 
 if(Backtrace_FOUND)
     target_link_libraries(solvespace-core
@@ -430,4 +424,4 @@ if(APPLE)
             COMMENT "Bundling executable solvespace-cli"
             VERBATIM)
     endif()
-endif()
\ No newline at end of file
+endif()
-- 
2.35.1

